import Collection from './Collection';
import Assignment from '../models/Assignment';

class AssignmentCollection extends Collection {
  model() {
    return Assignment;
  }

  defaults() {
    return {
      orderBy: 'name',
      itemPerPage: 15,
      page: 1,
    };
  }

  getFetchQuery() {
    return {
      sort: this.get('orderBy'),
      size: this.get('itemPerPage'),
      page: this.get('page'),
    };
  }

  routes() {
    return {
      fetch: '/api/v1/task',
    };
  }
}

export default AssignmentCollection;
