import Collection from './Collection';

import Video from '../models/Video';

class VideoCollection extends Collection {
  model() {
    return Video;
  }

  defaults() {
    return {
      sortBy: 'name',
      rowsPerPage: 15,
      page: 1,
      query: '',
      descending: false,
      dateFilter: {
        start: '',
        end: '',
      },
    };
  }

  getFetchQuery() {
    const params = {
      sort: this.get('sortBy'),
      size: this.get('rowsPerPage'),
      page: this.get('page'),
      query: this.get('query'),
      dateFilter: this.get('dateFilter'),
    };
    if (this.get('descending')) {
      params.desc = true;
    }
    return params;
  }

  routes() {
    return {
      fetch: '/api/v1/video',
    };
  }
}

export default VideoCollection;
